[Admin] Atualizar módulo de curso
curl --request PUT \
--url https://apis.cativalab.digital/tenant/api/v2/admin/education/courses/{courseId}/modules/{moduleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"courseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"moduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"coverUrl": "<string>"
}
'import requests
url = "https://apis.cativalab.digital/tenant/api/v2/admin/education/courses/{courseId}/modules/{moduleId}"
payload = {
"courseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"moduleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"coverUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
courseId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
moduleId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
description: '<string>',
coverUrl: '<string>'
})
};
fetch('https://apis.cativalab.digital/tenant/api/v2/admin/education/courses/{courseId}/modules/{moduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cursos
[Admin] Atualizar módulo de curso
PUT
/
api
/
v2
/
admin
/
education
/
courses
/
{courseId}
/
modules
/
{moduleId}
[Admin] Atualizar módulo de curso
Autorizações
Partner API key (cativa_...) or a JWT, sent as: Authorization: Bearer .
Corpo
application/json
Resposta
200
OK
⌘I
